//
//  LocationDemoViewController.swift
//  StucoCoreLocationDemo
//
//  Created by Amolak Nagi on 11/29/15.
//  Copyright © 2015 Amolak Nagi. All rights reserved.
//

import UIKit
import CoreLocation

class LocationDemoViewController: UIViewController, CLLocationManagerDelegate {
    
    //Outlets connected to UI elements on the ViewController
    @IBOutlet weak var latitudeLabel: UILabel!
    @IBOutlet weak var longitudeLabel: UILabel!
    @IBOutlet weak var horizontalAccuracyLabel: UILabel!
    @IBOutlet weak var altitudeLabel: UILabel!
    @IBOutlet weak var verticalAccuracyLabel: UILabel!
    
    //Our CLLocationManager
    var locationManager : CLLocationManager = CLLocationManager()

    
    //Class initializer
    override func viewDidLoad()
    {
        super.viewDidLoad()

        //Initalize the location manager here
        self.locationManager.desiredAccuracy = kCLLocationAccuracyBest
        self.locationManager.delegate = self
        self.locationManager.requestWhenInUseAuthorization()
        self.locationManager.startUpdatingLocation()
    }

    
    //Delegate method to give us the most updated current location
    func locationManager(manager: CLLocationManager, didUpdateLocations locations: [CLLocation])
    {
        //Retrieve the latest location
        let latestLocation = locations[locations.count - 1]
        
        //Update our UI Elements
        self.latitudeLabel.text = String(format: "Latitude: %.4f",
                                        latestLocation.coordinate.latitude)
        self.longitudeLabel.text = String(format: "Longitude: %.4f",
                                          latestLocation.coordinate.longitude)
        self.horizontalAccuracyLabel.text = String(format: "Horizontal Accuracy: %.4f",
                                              latestLocation.horizontalAccuracy)
        self.altitudeLabel.text = String(format: "Altitude: %.4f", latestLocation.altitude)
        self.verticalAccuracyLabel.text = String(format: "Vertical Accuracy: %.4f", latestLocation.verticalAccuracy)
        
    }
    
}
